Skip to main content
GET
/
core
/
v3
/
employees
List employees
curl --request GET \
  --url https://api-{region}.sesametime.com/core/v3/employees \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "firstName": "Lucas",
      "lastName": "García",
      "email": "jsmith@example.com",
      "workStatus": "online",
      "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
      "code": 1,
      "pin": 1000,
      "phone": "+34 111 11 11 11",
      "company": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "notificationEmail": "jsmith@example.com",
        "language": "<string>",
        "createdAt": "2020-01-01T10:00:00+01:00",
        "updatedAt": "2020-01-01T10:00:00+01:00"
      },
      "gender": "female",
      "contractId": "<string>",
      "nid": "<string>",
      "identityNumberType": "dni",
      "secondaryIdentityNumberType": "dni",
      "secondaryNid": "<string>",
      "ssn": "<string>",
      "pricePerHour": 123,
      "accountNumber": "<string>",
      "dateOfBirth": "2023-12-25",
      "customFields": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "slug": "<string>",
          "type": "<string>",
          "value": "<string>",
          "createdAt": "2020-01-01T10:00:00+01:00",
          "updatedAt": "2020-01-01T10:00:00+01:00"
        }
      ],
      "createdAt": "2020-01-01T10:00:00+01:00",
      "updatedAt": "2020-01-01T10:00:00+01:00",
      "status": "active",
      "children": 2,
      "disability": 25,
      "address": "<string>",
      "postalCode": "<string>",
      "city": "<string>",
      "province": "<string>",
      "country": "ES",
      "nationality": "ES",
      "nationalities": [
        "ES",
        "FR"
      ],
      "personalMail": "jsmith@example.com",
      "maritalStatus": "<string>",
      "emergencyPhone": "<string>",
      "description": "<string>",
      "salaryRange": "<string>",
      "studyLevel": "<string>",
      "professionalCategoryCode": "<string>",
      "professionalCategoryDescription": "<string>",
      "bic": "<string>",
      "jobChargeId": "<string>",
      "jobChargeName": "<string>",
      "jobChargeDescription": "<string>",
      "jobChargeCompetencies": "<string>",
      "language": "es-ES",
      "workPhone": "+34 111 11 11 11",
      "mainRecruiter": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "firstName": "Lucas",
        "lastName": "García",
        "imageProfileURL": "https://sesame-v2-prod-companies.s3.eu-west-3.amazonaws.com/48351485-1659-413d-bf7f-3ca34fadb521/public-read/g892f1fb-55a3-4e32-9cc9-7c19faa70gaa.png",
        "email": "jsmith@example.com",
        "workStatus": "online",
        "workCheckTypeColor": "#FF0000",
        "workCheckTypeName": "Remote"
      },
      "nfc": "<string>",
      "contributionGroupId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "meta": {
    "currentPage": 1,
    "lastPage": 1,
    "total": 1,
    "perPage": 1
  }
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Query Parameters

code
integer

Find Employee by code

dni
string

Find Employee by dni

email
string<email>

Find Employee by email

departmentIds
string<uuid>[]

Find Employee by department Ids

officeIds
string<uuid>[]

Find Employee by office Ids

entityGroupIds
string<uuid>[]

Find Employee by entity group Ids

limit
integer

Limit employees

page
integer

Request a specific page

orderBy
string

field1 asc, field2 desc

status
enum<string>

Supported operators: in
Example: status[in]=active,inactive
By default, only active employees are returned

Available options:
active,
inactive

Response

200 - application/json

Array of objects

data
object[]
meta
object